# $Revision: 1.59 $, $Date: 2010/08/31 06:51:27 $
Summary:	PEAR - PHP Extension and Application Repository
Summary(pl.UTF-8):	PEAR - rozszerzenie PHP i repozytorium aplikacji
Name:		php-pear
Version:	1.3.1
Release:	1
Epoch:		4
License:	Public Domain
Group:		Development/Languages/PHP
Source0:	php-channel-prov.php
Source1:	channel-phing.xml
Source2:	channel-phpdb.xml
Source3:	channel-firephp.xml
Source4:	channel-symfony-project.xml
Source5:	channel-phpunit.xml
Source6:	channel-phpseclib.xml
BuildRequires:	/usr/bin/php
BuildRequires:	php-pear-PEAR >= 1:1.9.0
BuildRequires:	rpmbuild(macros) >= 1.570
Obsoletes:	php-pear-additional_classes
Obsoletes:	php4-pear
Conflicts:	php-pear-PEAR < 1:1.7.2-10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		__reg_provides	php %{SOURCE0}

# find channel provides
%define		_use_internal_dependency_generator 0
%define		__find_provides %{__reg_provides}
%define		__find_requires %{nil}

# avoid rpm 4.4.9 adding rm -rf buildroot, we need the dirs to check consistency
%define		__spec_clean_body	%{nil}

%description
PEAR - PHP Extension and Application Repository.

Please note that this package provides only basic directory structure.
If you want to use base PEAR classes (PEAR.php, PEAR/*.php), that come
with PHP, please install appropriate php-pear-* (php-pear-PEAR,
php-PEAR-Archive_Tar, etc) packages.

%description -l pl.UTF-8
PEAR (PHP Extension and Application Repository) - rozszerzenie PHP i
repozytorium aplikacji.

Należy pamiętać, że ten pakiet dostarcza tylko podstawową strukturę
katalogów. Aby użyć podstawowych klas PEAR (PEAR.php PEAR/*.php),
dostarczanych z PHP, należy zainstalować odpowiednie pakiety
php-pear-* (php-pear-PEAR, php-pear-Archive_Tar, itp).

%prep
%setup -qcT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/{.registry,bin,data,tests}

# add extra channels
%{__pear} -c pearrc config-set php_dir $RPM_BUILD_ROOT%{php_pear_dir}
%{__pear} -c pearrc channel-add %{SOURCE1}
%{__pear} -c pearrc channel-add %{SOURCE2}
%{__pear} -c pearrc channel-add %{SOURCE3}
%{__pear} -c pearrc channel-add %{SOURCE4}
%{__pear} -c pearrc channel-add %{SOURCE5}
%{__pear} -c pearrc channel-add %{SOURCE6}

while read dir; do
	install -d $RPM_BUILD_ROOT$dir
done <<EOF
%{php_pear_dir}/Archive
%{php_pear_dir}/Auth
%{php_pear_dir}/Cache
%{php_pear_dir}/Console
%{php_pear_dir}/Contact
%{php_pear_dir}/Crypt
%{php_pear_dir}/DB/DataObject
%{php_pear_dir}/Event
%{php_pear_dir}/File
%{php_pear_dir}/Genealogy
%{php_pear_dir}/Gtk
%{php_pear_dir}/Gtk2
%{php_pear_dir}/HTML
%{php_pear_dir}/HTML/QuickForm
%{php_pear_dir}/HTML/Table
%{php_pear_dir}/HTML/Template
%{php_pear_dir}/HTTP
%{php_pear_dir}/HTTP/WebDAV
%{php_pear_dir}/HTTP/WebDAV/Tools
%{php_pear_dir}/I18N
%{php_pear_dir}/Image
%{php_pear_dir}/MP3
%{php_pear_dir}/Mail
%{php_pear_dir}/Math
%{php_pear_dir}/Net
%{php_pear_dir}/Net/UserAgent
%{php_pear_dir}/Numbers
%{php_pear_dir}/PHP
%{php_pear_dir}/Payment
%{php_pear_dir}/QA
%{php_pear_dir}/Science
%{php_pear_dir}/Services
%{php_pear_dir}/Structures
%{php_pear_dir}/Testing
%{php_pear_dir}/Text
%{php_pear_dir}/Text/CAPTCHA
%{php_pear_dir}/Text/Spell
%{php_pear_dir}/URI
%{php_pear_dir}/Validate
%{php_pear_dir}/Validate/Finance
%{php_pear_dir}/VersionControl
%{php_pear_dir}/XML
EOF

%clean
cd $RPM_BUILD_ROOT%{php_pear_dir}

check_channel_dirs() {
	RPMFILE=%{name}-%{version}-%{release}.%{_target_cpu}.rpm
	TMPFILE=$(mktemp)
	find .channels .registry -type d | LC_ALL=C sort > $TMPFILE

	# find finds also '.', so use option -B for diff
	if rpm -qplv %{_rpmdir}/$RPMFILE | sed -ne '/^d/s,^.*%{php_pear_dir}/\.,.,p' | LC_ALL=C sort | diff -uB $TMPFILE - ; then
		rm -rf $RPM_BUILD_ROOT
	else
		echo -e "\nNot so good, some channel directories are not included in package\n"
		exit 1
	fi
	rm -f $TMPFILE
}
check_channel_dirs

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}
%{php_pear_dir}/*

%ghost %{php_pear_dir}/.depdblock
%ghost %{php_pear_dir}/.depdb
%ghost %{php_pear_dir}/.filemap
%ghost %{php_pear_dir}/.lock

%dir %{php_pear_dir}/.registry
%dir %{php_pear_dir}/.channels
%dir %{php_pear_dir}/.channels/.alias

# core channels
%{php_pear_dir}/.channels/__uri.reg
%{php_pear_dir}/.registry/.channel.__uri

%{php_pear_dir}/.channels/.alias/pear.txt
%{php_pear_dir}/.channels/pear.php.net.reg

%{php_pear_dir}/.channels/.alias/pecl.txt
%{php_pear_dir}/.channels/pecl.php.net.reg
%{php_pear_dir}/.registry/.channel.pecl.php.net

%{php_pear_dir}/.channels/.alias/phpdocs.txt
%{php_pear_dir}/.channels/doc.php.net.reg
%{php_pear_dir}/.registry/.channel.doc.php.net

# addon channels
%{php_pear_dir}/.channels/.alias/phpunit.txt
%{php_pear_dir}/.channels/pear.phpunit.de.reg
%{php_pear_dir}/.registry/.channel.pear.phpunit.de

%{php_pear_dir}/.channels/.alias/phing.txt
%{php_pear_dir}/.channels/pear.phing.info.reg
%{php_pear_dir}/.registry/.channel.pear.phing.info

%{php_pear_dir}/.channels/.alias/phpdb.txt
%{php_pear_dir}/.channels/pear.phpdb.org.reg
%{php_pear_dir}/.registry/.channel.pear.phpdb.org

%{php_pear_dir}/.channels/.alias/firephp.txt
%{php_pear_dir}/.channels/pear.firephp.org.reg
%{php_pear_dir}/.registry/.channel.pear.firephp.org

%{php_pear_dir}/.channels/.alias/symfony.txt
%{php_pear_dir}/.channels/pear.symfony-project.com.reg
%{php_pear_dir}/.registry/.channel.pear.symfony-project.com

%{php_pear_dir}/.channels/.alias/phpseclib.txt
%{php_pear_dir}/.channels/phpseclib.sourceforge.net.reg
%{php_pear_dir}/.registry/.channel.phpseclib.sourceforge.net

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear.spec,v $
Revision 1.59  2010/08/31 06:51:27  glen
- v1.3.1: add phpseclib.sourceforge.net channel

Revision 1.58  2010/08/22 10:18:38  glen
- add Mail; rel 6

Revision 1.57  2010/08/22 10:11:05  glen
- add Text/CAPTCHA; rel 5

Revision 1.56  2010/08/22 10:03:58  glen
- add Net/UserAgent dir
- use __pear macro to add channels
- rel 4

Revision 1.55  2010/07/20 07:25:27  glen
- BR PEAR 1.9.0

Revision 1.54  2010/07/20 07:15:36  glen
- phpunit channel has updated protocols; refresh; rel 2

Revision 1.53  2010/07/20 07:09:48  glen
- add doc.php.net channel (by PEAR 1.9.0)
- add pear.symfony-project.com channel
- version 1.3

Revision 1.52  2010/03/10 13:41:58  glen
- package firephp channel dir
- strict check for channel dirs packaging; rel 2

Revision 1.51  2010/03/10 13:11:01  glen
- move php.net channels also here

Revision 1.50  2010/03/10 12:46:55  glen
- v1.2: autogenerate deps for php-channel() deps

Revision 1.49  2010/03/10 12:45:37  glen
- add firephp channel

Revision 1.48  2009/05/22 19:34:04  adamg
- %{php_pear_dir}/bin (zf_tool puts something there); release 6

Revision 1.47  2009/02/15 23:06:29  adamg
- provide bin dir

Revision 1.46  2008/12/21 20:41:47  glen
- add .channel dirs; rel 4

Revision 1.45  2008/12/10 09:00:36  glen
- add pear.phing.info, pear.phpdb.org channels

Revision 1.44  2008/12/10 08:51:23  glen
- define pear.phpunit.de channel completely here; rel 2

Revision 1.43  2008/12/09 23:15:26  glen
- v1.1: package PEAR extra channel dirs here

Revision 1.42  2008/10/11 09:31:20  adamg
- Genealogy; release 25

Revision 1.41  2008/08/30 21:05:03  adamg
- Event dir; release 24

Revision 1.40  2008-05-18 16:10:36  adamg
- URI/; release 23

Revision 1.39  2007-11-22 20:00:59  glen
- add I18N; rel 22

Revision 1.38  2007-11-22 20:00:05  glen
- sort LC_ALL=C

Revision 1.37  2007-11-22 19:55:04  glen
- Cache; rel 21

Revision 1.36  2007-11-01 12:23:10  adamg
- Text/Spell; rel 20

Revision 1.35  2007/09/18 20:22:02  adamg
- VersionControl dir
- sorted
- release 19

Revision 1.34  2007/09/07 14:53:33  adamg
- %{php_pear_dir}/QA; release 18

Revision 1.33  2007/08/26 08:46:43  adamg
- %{php_pear_dir}/File
- release 17

Revision 1.32  2007/06/04 20:59:57  ggodlewski
- added Testing class

Revision 1.31  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.29  2006/12/05 06:56:44  glen
- no more provide php4-pear

Revision 1.28  2006/11/08 13:14:44  glen
- add %{php_pear_dir}/Gtk2; rel 15

Revision 1.27  2006/11/07 22:55:37  glen
- let %{php_pear_dir}/.registry be here; rel 14

Revision 1.26  2006/03/07 20:33:10  glen
- corrected deps, rel 13

Revision 1.25  2006/03/07 00:36:34  glen
- simplify files

Revision 1.24  2006/03/07 00:34:47  glen
- pear registry files owned by php-pear-PEAR package

Revision 1.23  2005/12/18 22:51:44  glen
- PEAR dir owned by PEAR itself; rel 12

Revision 1.22  2005/11/08 22:40:11  glen
- pcre and xml extension requirement is in php-pear-PEAR package; rel 11

Revision 1.21  2005/10/30 22:59:55  glen
- add Structures dir
- rel 10

Revision 1.20  2005/10/30 22:49:23  glen
- add Payment dir

Revision 1.19  2005/10/30 22:41:13  glen
- added HTTP/WebDAV/Tools

Revision 1.18  2005/10/30 22:35:08  glen
- add HTML/QuickForm

Revision 1.17  2005/10/30 22:28:39  glen
- add HTML/Table; rel 9

Revision 1.16  2005/09/21 21:01:56  glen
- added Auth, DB/DataObject, Gtk dirs; rel 8

Revision 1.15  2005/09/21 07:47:21  glen
- added Contact and PHP dirs. rel 7

Revision 1.14  2005/09/19 21:37:02  glen
- rel 6

Revision 1.13  2005/09/18 11:51:49  glen
- add tests dir, create empty .filemap and .lock

Revision 1.12  2005/09/04 15:03:55  adamg
- add MP3/ directory
- release 5

Revision 1.11  2005/07/26 15:46:01  glen
- dirs list is verbose enough in %install. can simplify %files again

Revision 1.10  2005/07/26 14:23:49  adamg
- add Validate/Finance; release 4

Revision 1.9  2005/07/14 10:32:53  glen
- shell magic to get better overview of created dirs

Revision 1.8  2005/07/14 08:29:53  blues
- release 3 - added missing Numbers dir (2 packages are shering it) - STBR

Revision 1.7  2005/06/19 14:54:23  glen
- add missing rm -rf $RPM_BUILD_ROOT to %install
- add registry files/dirs
- add %{php_pear_dir}/data to package (needed for phpDocumentor)

Revision 1.6  2005/02/21 08:37:50  adamg
- verbose %files
- dropped duplicated Provides: php4-pear

Revision 1.5  2005/02/19 17:58:56  adamg
- added %{php_pear_dir}/PEAR
- simplified %files
- release 2

Revision 1.4  2005/02/04 00:22:08  glen
- rel 1
- STBR

Revision 1.3  2005/01/25 17:36:35  adamg
- Provides: php4-pear

Revision 1.2  2005/01/25 16:08:34  glen
- added HTTP,Math,Services,Text top level dirs

Revision 1.1  2005/01/25 16:02:41  glen
- separated from php4/php.spec, to have PEAR base direcotry tree
  defined in one place
